module bphip_mod
  use iso_c_binding, only: fp => c_double
  save
  integer, parameter :: intot=200
  !============
  real(fp) :: zxi,zbmax,zq,zdqdxi,zg,zdgdxi,zi,zdidxi,zeps,zbmin
  real(fp) :: zthimin,zthimax,zmnbth1,zmnbth2,zmxbth1,zmxbth2
  real(fp) :: zterm(intot)
  real(fp) :: ztha(intot) 
end module bphip_mod
